
#include "app.h"

//ʼƿ
OS_TCB	StartTackTCB;
//ʼջ
CPU_STK	START_TASK_STK[START_STK_SIZE];


/*ʱ1ص*/
OS_TMR tmr1;


//ʱ1ص
void tmr1_callback_led(void *p_tmr, void *p_arg)
{
	LED = ~LED;
}

//ʼƺ
void start_task(volatile void *p_arg)
{
  OS_ERR err;
  CPU_SR_ALLOC();
  p_arg = p_arg;
  
  CPU_Init();
#if OS_CFG_STAT_TASK_EN > 0u
   OSStatTaskCPUUsageInit(&err);  	//ͳ
#endif

#ifdef CPU_CFG_INT_DIS_MEAS_EN		//ʹ˲жϹرʱ
    CPU_IntDisMeasMaxCurReset();
#endif

#if	OS_CFG_SCHED_ROUND_ROBIN_EN  //ʹʱƬתʱ
	 //ʹʱƬתȹ,ʱƬΪ1ϵͳʱӽģ1*5=5ms
	OSSchedRoundRobinCfg(DEF_ENABLED,1,&err);
#endif

	OS_CRITICAL_ENTER();//ٽ뱣
	/*ʱ1*/
	OSTmrCreate	((OS_TMR         			 *)&tmr1,
							 (CPU_CHAR             *)"tmr1_led",
							 (OS_TICK               )0,//ʼӳΪ1*10ms
							 (OS_TICK               )50,//ʱΪ50*10ms
							 (OS_OPT                )OS_OPT_TMR_PERIODIC,//ģʽ
							 (OS_TMR_CALLBACK_PTR   )tmr1_callback_led,
							 (void                 *)0,
							 (OS_ERR               *)&err);
	OS_CRITICAL_EXIT();//˳ٽ뱣
	OSTmrStart(&tmr1,&err);
}
